Skip to main content

Update StorageGRID credentials

Updates StorageGRID credentials in the NetApp Console SaaS application. Use this to modify authentication details for accessing StorageGRID services.

HTTP method and endpoint

PUT /account/{accountId}/providers/cloudmanager_cbs/api/v2/sg/credentials/{storageServerName}

Token usage

NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

storageServerName

string

path

True

StorageGRID server name

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

port

string

False

StorageGRID node port.

access-key

string

False

StorageGRID tenant access-key.

secret-password

string

False

StorageGRID tenant secret-password.

Example request
{
  "port": "string",
  "access-key": "string",
  "secret-password": "string"
}

Response

Status: 200, Default response